Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Interface NRTManager.WaitingListener

All Known Implementing Classes:
  NRTManagerReopenThread

Enclosing class:
  NRTManager

    public static interface NRTManager.WaitingListener

NRTManager invokes this interface to notify it when a caller is waiting for a specific generation searcher to be visible.

Method Summary
`void` | `waiting(long targetGen)`

Method Detail

### waiting

    void waiting(long targetGen)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.